<template>
  <div>
    <h1>Las Tiendas</h1>
    <carousel
      :perPageCustom="[[0, 1],[690, 3], [1264, 5]]"
      :navigate-to="some - local - property"
      :mouse-drag="false"
      :autoplay="true"
      :autoplay-direction="forward"
      :loop="true"
      :paginationEnabled="false"
      :data="randomShopList"
    >
      <slide v-for="(item, index) in randomShopList" :key="index">
        <div @click="goToProductDetails(item.shop_id)">
          <img :src="item.shop_img" />
          <h1>{{ item.shop_name }}</h1>
        </div>
      </slide>
    </carousel>
  </div>
</template>

<script>
import { Carousel, Slide } from "vue-carousel";
export default {
  name: "RandomShopCaroussel",
  components: {
    Carousel,
    Slide
  },
  props: {
    randomShopList: Array
  },
  data() {
    return {};
  },

  methods: {
    goToProductDetails(shop_id) {
      this.$emit("go-to-this-shop-details", shop_id);
    }
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
img {
  height: 10vw;
  width: 10vw;
}
h1 {
  padding-bottom: 5%;
  font-family: "sin seraf Robot", regular;
  font-size: 30px;
}
@media only screen and (max-width: 500px) {
  img {
    height: 60vw;
    width: 50vw;
  }
}
</style>